Delete a stream
DELETE/api/streams/{id}
Requires Streams to be enabled in company settings.
Required permissions:
- settings.company: allows deleting stream resources.
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the stream to delete
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 404
- 412
Stream successfully deleted.
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
Array [
]
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}